Main Page Class Hierarchy Alphabetical List Compound List Examples

Public Member Functions | Protected Member Functions | List of all members
MessageRfc822 Struct Reference

message/rfc822 entity type More...

`#include <message.h>`

Inheritance diagram for MessageRfc822:

## Public Member Functions

| MessageRfc822 (const MimeEntity &)
Public Member Functions inherited from MimeEntity
| MimeEntity ()
template<typename Iterator>
| MimeEntity (Iterator beg, Iterator end, int mask=imNone)
| MimeEntity (std::istream &)
template<typename OutputIt>
size_type | copy (OutputIt out)
Header & | header ()
const Header & | header () const
Body & | body ()
const Body & | body () const
template<typename Iterator>
void | load (Iterator, Iterator, int mask=imNone)
void | load (std::istream &, int mask=imNone)
bool | hasField (const std::string &) const
size_type | size () const

## Protected Member Functions

std::ostream & | write (std::ostream &, const char *) const
Protected Member Functions inherited from MimeEntity
void | commonInit ()

## Additional Inherited Members

Protected Attributes inherited from MimeEntity
Header | m_header
Body | m_body
size_type | m_lines
size_type | m_size

## Detailed Description

message/rfc822 entity type

## Member Function Documentation

## ◆ write()

std::ostream & write | ( | std::ostream & | ,
|  | const char * | ) const

protected virtual

Reimplemented from MimeEntity.

The documentation for this struct was generated from the following file:

- message.h